# Actions info

When using the Actions on this Gitea Server, please make sure to follow the important steps:

All codeblocks here are examples.

When working with the Container Registry (f.ex. for docker images) do not use the docker/buildx-action directly after the login to the registry, instead do it like this (the registry url is a must have!):
```yml
      - name: Login to Gitea Registry
        uses: docker/login-action@v3

        with:
          registry: pi5:8125
          username: ${{ github.repository_owner }}
          password: ${{ secrets.PW }} # add a repository Secret called PW for this, or change PW to any name you like

      - name: Build the Docker image
        run: docker build -t pi5:8125/<image tag> . # f.ex. the image tag to push is pi5:8125/jansel/example, then when pushed successfully you can pull it normally with 'docker pull git.jansel.dev/jansel/example:latest'
        
      - name: Push the Docker image
        run: docker push pi5:8125/<image tag> # same image tag stuff applies here
```